Summary:	Small BASIC interpreter with printing and graphics
Name:		yabasic
Epoch:		1
Version:	2.91.2
Release:	%mkrel 1
License:	MIT
Group:		Development/Basic
URL:		https://www.yabasic.de/
Source0:	https://2484.de/%{name}/download/%{name}-%{version}.tar.gz
Patch0:		https://gitlab.alpinelinux.org/alpine/aports/-/raw/master/community/yabasic/gcc15.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libffi)
BuildRequires:	tmux

%description
Yabasic implements the most common and simple elements of the BASIC
language; It comes with for-loops and goto with while-loops and
procedures. Yabasic does monochrome line graphics, printing comes with
no extra effort. Yabasic runs under Unix and Windows; it is small
(less than 200KB) and free.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure
%make_build

%check
make check-TESTS

%install

%make_install

%files
%doc AUTHORS NEWS README *.htm ChangeLog
%{_bindir}/*
%{_mandir}/man1/yabasic.*


%changelog
* Sat May 17 2025 daviddavid <daviddavid> 1:2.91.2-1.mga10
+ Revision: 2184150
- new version: 2.91.2 (thanks to Aurelian R)

* Mon Dec 02 2024 daviddavid <daviddavid> 1:2.90.5-1.mga10
+ Revision: 2120591
- new version: 2.90.5
+ danf <danf>
- Switch URL to https

* Fri Sep 27 2024 ns80 <ns80> 1:2.90.4-1.mga10
+ Revision: 2101585
- bump epoch
- new version 2.90.4

* Wed Mar 30 2022 umeabot <umeabot> 2.763-18.mga9
+ Revision: 1834612
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.763-17.mga8
+ Revision: 1519039
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.763-16.mga7
+ Revision: 1302006
- Mageia 7 Mass Rebuild

* Sun May 29 2016 shlomif <shlomif> 2.763-15.mga6
+ Revision: 1019351
- Correct typos and .spec modernisations

* Thu Feb 04 2016 umeabot <umeabot> 2.763-14.mga6
+ Revision: 934826
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.763-13.mga5
+ Revision: 749779
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.763-12.mga5
+ Revision: 690811
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.763-11.mga4
+ Revision: 520871
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.763-10.mga3
+ Revision: 387539
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 cjw <cjw> 2.763-9.mga3
+ Revision: 337633
- patch1: fix build with automake 1.13

* Sat Oct 20 2012 malo <malo> 2.763-8.mga3
+ Revision: 308546
- spec clean-up
- update RPM group

* Fri May 06 2011 grenoya <grenoya> 2.763-7.mga1
+ Revision: 95613
- imported package yabasic


* Fri Jan 21 2011 Funda Wang <fwang@mandriva.org> 2.763-7mdv2011.0
+ Revision: 632006
- simplify BR

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Mon Aug 04 2008 Thierry Vignaud <tv@mandriva.org> 2.763-6mdv2009.0
+ Revision: 262760
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 2.763-5mdv2009.0
+ Revision: 257854
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.763-3mdv2008.1
+ Revision: 136631
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Wed Aug 22 2007 Olivier Thauvin <nanardon@mandriva.org> 2.763-3mdv2008.0
+ Revision: 68894
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages extension


* Thu Aug 10 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/10/06 10:31:51 (55329)
- rebuild

* Thu Aug 10 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/10/06 10:30:17 (55328)
Import yabasic

* Mon Oct 17 2005 Olivier Thauvin <nanardon@mandriva.org> 2.763-1mdk
- 2.763

* Sun May 01 2005 Olivier Thauvin <nanardon@mandriva.org> 2.751-1mdk
- 2.751
- add %%check section

* Fri May 14 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.744-1mdk
- 2.744

